# IAX2FullFrameText Class Reference

`#include <frame.h>`

Inheritance diagram for IAX2FullFrameText:

[legend]
Collaboration diagram for IAX2FullFrameText:
[legend]

## Public Member Functions

| IAX2FullFrameText (IAX2Processor *processor, const PString &textValue)
| IAX2FullFrameText (const IAX2Frame &srcFrame)
| IAX2FullFrameText (const IAX2FullFrame &srcFrame)
virtual PString | GetSubClassName () const
virtual BYTE | GetFullFrameType ()
PString | GetTextString () const

## Protected Attributes

PString | internalText

## Detailed Description

Class for transfering text. These frames are sent reliably. There is no data in the subclass section.

The text is carried in the data section.

## Constructor & Destructor Documentation

IAX2FullFrameText::IAX2FullFrameText | ( | IAX2Processor * | processor,
|  | const PString & | textValue |
| ) |  |  |

Construction from a Connection class. Classes generated from this are then on sent to a remote endpoint.

Parameters:

  processor | Iax Processor from which this frame originates
  textValue | text to send to remote end

IAX2FullFrameText::IAX2FullFrameText | ( | const IAX2Frame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameText::IAX2FullFrameText | ( | const IAX2FullFrame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

## Member Function Documentation

virtual BYTE IAX2FullFrameText::GetFullFrameType | ( |  | ) | `[inline, virtual]`

Return the IAX2FullFrame type represented here (voice, protocol, session etc

Reimplemented from IAX2FullFrame.

virtual PString IAX2FullFrameText::GetSubClassName | ( |  | ) | const`[virtual]`

Get text description of the subclass contents

Reimplemented from IAX2FullFrame.

PString IAX2FullFrameText::GetTextString | ( |  | ) | const

Return the text data

## Field Documentation

PString IAX2FullFrameText::internalText `[protected]`

The text string that will be placed in the body of this message

The documentation for this class was generated from the following file:

- frame.h